%global pypi_name zope-interface
%global module_name zope.interface
%global commitId 946e0370a8a6d09fb2ae94d00567596688ac0c78

%global common_description %{expand:
Interfaces are a mechanism for labeling objects as conforming to a given API
or contract.}
%global common_summary %{expand: Zope 3 Interface Infrastructure}

%if 0%{?rhel} == 8
%global component_prefix 3x
%endif

Name:           python%{?component_prefix}-%{pypi_name}
Version:        5.5.2
Release:        1%{?dist}
Summary:        %{common_summary}

License:        ZPL-2.1
URL:            https://github.com/zopefoundation/zope.interface
Source0:        python-zope-interface-946e0370a8a6d09fb2ae94d00567596688ac0c78.tar.gz

BuildRequires:  gcc
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-rpm-macros
BuildRequires:  python%{python3_pkgversion}-setuptools

%description
%{common_description}

%package -n     python%{python3_pkgversion}-%{pypi_name}

Summary:        %{common_summary}

%description -n python%{python3_pkgversion}-%{pypi_name}
%{common_description}

%prep
%autosetup -n python-%{pypi_name}-%{commitId}

%build
%{py3_build}

%install
%{py3_install}

%files -n python%{python3_pkgversion}-%{pypi_name}
%doc CHANGES.rst README.rst COPYRIGHT.txt
%license LICENSE.txt
%{python3_sitearch}/zope/interface/
%{python3_sitearch}/%{module_name}-%{version}-py%{python3_version}.egg-info
%{python3_sitearch}/%{module_name}-*-nspkg.pth

%changelog
* Thu Feb 02 2023 James Marshall <jamarsha@redhat.com> 5.5.2-1
- Initial release
